Comment 24 for bug 272316

libgnomecanvas_2.20.1.1-1ubuntu3.debdiff solves the problem for me with Ubuntu 8.10 on amd64.